<?php 
/***********
*
* Tweets Module Plus
* @version 4.3, Abril/2012 15/04/2012
* @author Fernando Soares ( www.fernandosoares.com.br )
* @package Joomla 1.5 ~ 2.5
* @copyright Copyright (C) 2009-2012 Fernando Soares.
* @license http://www.gnu.org/licenses/gpl-3.0.html
*
* Based on original version 2.2 (04-03-2009) from
*          Van Eldijk Studio's (components@vaneldijk.nl)
*          http://extensions.vaneldijk.nl
*          Copyright 2009 Van Eldijk Studio's
*          License at http://www.gnu.org/licenses/gpl-3.0.html
* 
************/
defined( '_JEXEC' ) or die( 'Restricted access' ); 

if( $params->get( 'enable-css' ) === '1' ) {
	$document = &JFactory::getDocument();
	$document->addStyleSheet( 'modules/mod_tweets/tmpl/tweets.css' );
}

$tweet_msg ='';

for( $i = 0, $c = count( $twitter->tweets ); $i < $c; $i++ ) {
	$tweet = $twitter->tweets[$i];
	if( $params->get( 'show-date' ) === '1' ) {
		$now =& JFactory::getDate();
		$date =& JFactory::getDate( strtotime( $tweet->created_at ) + ( $now->toUnix() - time() ) );
		$diff = $now->toUnix() - $date->toUnix();

		if( $diff < 60 ) {
			$created_date = JText::sprintf( 'MOD_TWEETS_S_AGO', round( $diff ) );
		} elseif( $diff < ( 60 * 60 ) ) {
			$created_date = JText::sprintf( 'MOD_TWEETS_MIN_AGO', round( $diff / 60 ) );
		} elseif( $diff < ( 24 * 3600 ) ) {
			$created_date = JText::sprintf( 'MOD_TWEETS_H_AGO', round( $diff / 3600 ) );
		} elseif( $diff < ( 30 * 86400 ) ) {
			$created_date = JText::sprintf( 'MOD_TWEETS_D_AGO', round( $diff / 86400 ) );
		} else {
			$created_date = JHTML::_( 'date', $date->toUnix(), JText::_( 'DATE_FORMAT_LC4' ) );
		}
	}

	if( $params->get( 'parse-links' ) === '1' ) {
		$rule = '/.*?((?:http|https)(?::\/{2}[\w]+)(?:[\/|\.]?)(?:[^\s"]*))/is';
		preg_match_all( $rule, $tweet->text, $matches );
		foreach( $matches[1] as $url ) {
			$tweet->text = str_replace( $url, '<a href="'. $url .'" target="_blank">'. $url .'</a>', $tweet->text );
		}
	}

	if( $params->get( 'show-username' ) === '1' ) {
		$tweet_msg .= '<span class="twby">';
		$tweet_msg .= '<a href="http://twitter.com/' . $tweet->user->screen_name . '" target="_blank">' . $tweet->user->screen_name . '</a>:';
		$tweet_msg .= '</span><br />';
	}

	$tweet_msg .= '<span class="twtext">' . $tweet->text . '<span class="twtextend"></span></span>';
	$tweet_msg .= '<br />';

	if( $params->get( 'show-date' ) === '1' ) {
		if($twitter->format == "json"){
			$tweet_id = $tweet->id_str;
		}else{
			$tweet_id = $tweet->id;
		}
		$tweet_msg .= '<span class="twdate">';
		$tweet_msg .= '<a href="http://twitter.com/'. $tweet->user->screen_name . '/status/' . $tweet_id . '" target="_blank" style="font-weight:bold">';
		$tweet_msg .= $created_date; 
		$tweet_msg .= '</a> ' . JText::_( 'MOD_TWEETS_FROM' ) . ' ' . $tweet->source;

		if($tweet->geo != ''){
			$tweet_msg .= ' <a href="http://maps.google.com/maps?z=16&q='. $tweet->geo->coordinates['0'] . ',' . $tweet->geo->coordinates['1'];
			$tweet_msg .= '(' . $tweet->user->screen_name . ')" target="_blank" style="font-weight:bold">';
			$tweet_msg .= '<img src="modules/mod_tweets/images/point.gif" style="border-style: none;" /></a> ';
		}

		if($tweet->in_reply_to_status_id != ''){
			$tweet_msg .= ' <a href="http://twitter.com/'. $tweet->in_reply_to_screen_name . '/statuses/' . $tweet->in_reply_to_status_id . '" target="_blank" style="font-weight:bold">';
			$tweet_msg .= JText::_( 'MOD_TWEETS_IN_REPLY_TO' ) . ' ' . $tweet->in_reply_to_screen_name . '</a> ';
		}

		$tweet_msg .= '</span>';
		$tweet_msg .= '<br />';
	}
	$tweet_msg .= '<br />';
}
?>

<div class="<?php echo $params->get( 'css-bubble' ); ?>">

	<div class="conteudo" style="background:<?php echo $params->get( 'twtext-background' ); ?>">
		<?php echo $tweet_msg; ?>
	</div>
	<div class="imgpensa">
		<img src="modules/mod_tweets/images/thinking.gif" style="border-style: none;" />
	</div>

	<span class="twimglnk">

		<a href="http://twitter.com/<?php echo $params->get( 'username' ); ?>" target="_blank">

		<?php if( $params->get( 'show-image' ) === '1') { ?>
			<img src="<?php if ($_SERVER['HTTPS'] == "on") { echo $tweet->user->profile_image_url_https; }else{ echo $tweet->user->profile_image_url; } ?>" style="border-style: none;" />
		<?php } ?>

		<?php if( $params->get( 'show-twimage' ) === '1' ) { ?>
			<img src="modules/mod_tweets/images/twitter.gif" style="border-style: none;" alt="<?php echo JText::_( 'MOD_TWEETS_FOLLOW' ); ?>" title="<?php echo JText::_( 'MOD_TWEETS_FOLLOW' ); ?>"/>
		<?php } else { echo '<b>  ' . JText::_( 'MOD_TWEETS_FOLLOW' ) . ' </b>'; } ?>
		</a>

	</span>
</div>